## com.puppycrawl.tools.checkstyle.api
Interface Configurable

All Known Subinterfaces:
  FileSetCheck

All Known Implementing Classes:
  AbstractFileSetCheck, AbstractViolationReporter, AutomaticBean, Check, Checker, DefaultLogger, SeverityMatchFilter, SuppressionCommentFilter, SuppressionFilter, TreeWalker, XMLLogger

    public interface Configurable

A component that can be configured. The general idea of Configuration/Configurable was taken from Jakarta's Avalon framework.

Author:
  lkuehne

Method Summary
`void` `configure(Configuration aConfiguration)` Configures this component.

Method Detail

### configure

    void configure(Configuration aConfiguration)
                   throws CheckstyleException

  Configures this component.

  Parameters:
    `aConfiguration` - the configuration to use.
  Throws:
    `CheckstyleException` - if there is a configuration error.

Back to the Checkstyle Home Page